Description

Supportanfrage

Ich muss mein ADTF 2.11.0 Projekt auf ADTF 3 konvertieren und habe dazu paar kleine Fragen:

1. Wo und wie bekomme ich eine Lizenz? Ich habe gehört es geht nicht mehr über den Support?

2. Wie bekomme ich das Projekt möglichst schnell migriert? Gibt es irgendwo eine Art Migration Manual?

Lösung

1. Wo und wie bekomme ich eine Lizenz? Ich habe gehört es geht nicht mehr über den Support?

 In dieser Aussage fehlt ein Kleinigkeit, es geht ab ADTF 3.3.0 Release (was nun der Fall ist) nicht mehr über den AEV-25 Support.

Für euch ändert sich aber nur der Supportkontakt von AEV-25 auf Digitalwerk und dahinter steckt ein Redmine statt JIRA, ansonsten

bleibt nahezu alles gleich, sowohl Support auch Lizenzthematik.

Siehe Startseite bzw. wiki, speziell License Management

2. Wie bekomme ich das Projekt möglichst schnell migriert? Gibt es irgendwo eine Art Migration Manual?

Möglichst schnell ist natürlich relativ, zum einen musst du alle Filter, Services und Abhängigkeiten mit neuen Compiler und

Framework portieren, zum anderen hat sich das Konzept geändert, am besten du verschaffst dir mal einen Überblick in der Doku,

gerne auch im Concept Paper (kommt mit der Installation).

Es gibt auch eine kleine Zusammefassung -> Comparison ADTF2 ADTF 3

Weitere Infos findest du hier:

Porting ADTF 2 Filters with the help of ADTF 2 Support Package

ADTF 2 Porting to ADTF 3

Das sollte aber nur ein erster Schuss sein...

Was ich auf jeden Fall raten würde:

Verbinde ADTF 2.14.x mittels ADTF 3 Support TB 3.0.0 mit ADTF 3.3.0 als neue Toolkette.

Dann kannst du Stück für Stück Teile von 2.x nach 3.x portieren, bis die Toolkette am Ende rein in ADTF 3.x ist.

Das hat den Vorteil, dass du sofort ADTF 3.x verwendest und weiter produktiv bist.

Details kannst du bei Pierre erfragen, gerne können wir gemeinsam euch den besten Weg definieren.

History

#1 - 2018-04-18 16:46 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::License

#2 - 2018-04-18 17:10 - hidden
https://support.digitalwerk.net/projects/support/wiki/Wiki
https://support.digitalwerk.net/projects/support/wiki/Wiki#License-Management
support.digitalwerk.net/adtf/v3/adtf_html/index.html
https://support.digitalwerk.net/projects/download-center/repository/changes/doc/adtf/v3/common/comparison_adtf2_adtf3.pdf
support.digitalwerk.net/adtf/v3/adtf_html/page_porting_adtf2.html
support.digitalwerk.net/adtf/v3/adtf_html/page_adtf2_porting_help.html


- Status changed from In Progress to Customer Feedback Required

Hi Denny,

1. Wo und wie bekomme ich eine Lizenz? Ich habe gehört es geht nicht mehr über den Support?

 In dieser Aussage fehlt ein Kleinigkeit, es geht ab ADTF 3.3.0 Release (was nun der Fall ist) nicht mehr über den AEV-25 Support.

Für euch ändert sich aber nur der Supportkontakt von AEV-25 auf Digitalwerk und dahinter steckt ein Redmine statt JIRA, ansonsten bleibt nahezu

alles gleich, sowohl Support auch Lizenzthematik.

Siehe Startseite bzw. wiki, speziell License Management

2. Wie bekomme ich das Projekt möglichst schnell migriert? Gibt es irgendwo eine Art Migration Manual?

Möglichst schnell ist natürlich relativ, zum einen musst du alle Filter, Services und Abhängigkeiten mit neuen Compiler und Framework portieren, zum

anderen hat sich das Konzept geändert, am besten du verschaffst dir mal einen Überblick in der Doku, gerne auch im Concept Paper (kommt mit der

Installation).

Es gibt auch eine kleine Zusammefassung -> Comparison ADTF2 ADTF 3

Weitere Infos findest du hier:

Porting ADTF 2 Filters with the help of ADTF 2 Support Package

ADTF 2 Porting to ADTF 3

Das sollte aber nur ein erster Schuss sein...

Was ich auf jeden Fall raten würde:

Verbinde ADTF 2.14.x mittels ADTF 3 Support TB 3.0.0 mit ADTF 3.3.0 als neue Toolkette.

Dann kannst du Stück für Stück Teile von 2.x nach 3.x portieren, bis die Toolkette am Ende rein in ADTF 3.x ist.

Das hat den Vorteil, dass du sofort ADTF 3.x verwendest und weiter produktiv bist.

Details kannst du bei Pierre erfragen, gerne können wir gemeinsam euch den besten Weg definieren.

#3 - 2018-04-19 12:10 - hidden

Okay. Für die Lizenz hab ich ein separates Ticket erstellt: https://support.digitalwerk.net/issues/2317.

Den Rest kläre ich dann mit Pierre. Dieses Ticket kann damit geschlossen werden.

#4 - 2018-04-19 17:21 - hidden

- Subject changed from ADTF 3 Lizenz + Upgrade-Strategie to ADTF 3 license mechanism and porting ADTF 2.x toolchain

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#5 - 2018-05-22 08:18 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#6 - 2018-05-23 14:06 - hidden

- Status changed from To Be Closed to Closed
